org.apache.cassandra.io.util

## Class BufferManagingRebufferer.Aligned

- java.lang.Object
- - org.apache.cassandra.io.util.BufferManagingRebufferer
  - - org.apache.cassandra.io.util.BufferManagingRebufferer.Aligned

All Implemented Interfaces:
  java.lang.AutoCloseable, ReaderFileProxy, Rebufferer, Rebufferer.BufferHolder

Enclosing class:
  BufferManagingRebufferer

    public static class BufferManagingRebufferer.Aligned
    extends BufferManagingRebufferer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.io.util.BufferManagingRebufferer

`BufferManagingRebufferer.Aligned, BufferManagingRebufferer.Unaligned`

### Nested classes/interfaces inherited from interface org.apache.cassandra.io.util.Rebufferer

`Rebufferer.BufferHolder`

### Field Summary

### Fields inherited from class org.apache.cassandra.io.util.BufferManagingRebufferer

`buffer, offset, source`

### Fields inherited from interface org.apache.cassandra.io.util.Rebufferer

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`Aligned(ChunkReader wrapped)`

### Method Summary

### Methods inherited from class org.apache.cassandra.io.util.BufferManagingRebufferer

`buffer, channel, close, closeReader, fileLength, getCrcCheckChance, offset, rebuffer, release, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Aligned

    public Aligned(ChunkReader wrapped)